<template>
    <!-- 退改历史 -->
    <div class="bg-[#fff]">
        <a-page-header style="border: 1px solid rgb(235, 237, 240)" @back="router.go(-1)">
            <template #backIcon>
                <div class="flex">
                    <div><a-button type="primary">返回</a-button></div>
                </div>
            </template>
            <template #title>
                <div>
                    <a-space wrap>
                        <a-button type="primary" @clcik="view">查看基本信息</a-button>
                    </a-space>
                </div>
            </template>
        </a-page-header>
        <History @handClick="register" />
    </div>
</template>

<script setup lang="ts">
import { useRouter } from 'vue-router';
import { ref } from 'vue';
import { useMessage } from '/@/hooks/web/useMessage';
import History from '/@/components/customComponent/History.vue'

let router = useRouter();
const wrdkid = ref('')
const { createMessage } = useMessage();
// 获取地块污染id的值
function register(v: any) {
    wrdkid.value = v
}
function view() {
    if (!wrdkid.value) {
        createMessage.info('请选择要修改的地块');
        return
    }

    router.push(`/directory/mlzk/land/modules/ViewModal?wrdkid=${wrdkid.value}`)
}

</script>